#ifndef RUSIFICATIONWIDGET_H
#define RUSIFICATIONWIDGET_H

#include <QWidget>
#include <QTimer>
#include <QTreeWidgetItem>

namespace Ui {
class RusificationWidget;
}

class LegacyApp;

class RusificationWidget : public QWidget
{
    Q_OBJECT

public:
    explicit RusificationWidget(LegacyApp *_app, QWidget *parent = 0);

    ~RusificationWidget();

private:
    void setupTreeWidget();

private slots:
    void onHoveredTreeItemChanged(QTreeWidgetItem *item, int column);

    void updateUI();

private:
    Ui::RusificationWidget *ui;
    LegacyApp *app;
    QTimer ui_update_timer;
};

#endif // RUSIFICATIONWIDGET_H
